<link rel="import" href="../../polymer/polymer.html">
<link rel="import" href="../../iron-icons/iron-icons.html">
<link rel="import" href="../set-up.html">


<dom-module id="demo-element">
  <template>
    <style>
      :host {
        font-family: sans-serif;
        --icon-toggle-color: lightgrey;
        /* --icon-toggle-outline-color: black; */
        --icon-toggle-pressed-color: red;
      }
      html {
          --icon-toggle-outline-color: red;
        }
        
        /* Override the value specified in demo-element */
        demo-element {
          --icon-toggle-pressed-color: blue;
        }
        /* This rule does not work! */
        body {
          --icon-toggle-color: purple;
        }
    </style>
  
    <h3>Statically-configured icon-toggles</h3>
    
    <set-up toggle-icon="star"></set-up>
    <set-up toggle-icon="star" pressed></set-up>
    
    <h3>Data-bound icon-toggle</h3>

    <!-- use a computed binding to generate the message -->
    <div><span>[[_message(isFav)]]</span></div>

    <!-- curly brackets ({{}}} allow two-way binding --> 
    <set-up toggle-icon="favorite" pressed="{{isFav}}"></set-up>
  </template>

  <script>
    class DemoElement extends Polymer.Element {
      static get is() { return 'demo-element' }
      _message(fav) {
        if (fav) {
          return 'You really like me!';
        } 
        else {
          return 'Do you like me?';
        }
      }
    }
    customElements.define(DemoElement.is, DemoElement);
    </script>
</dom-module>